<?php if ( ! defined('TOKEN')) exit('Közvetlenül nem elérhetõ!');

class FilmAdat {

	private $filmek;
	private $fajlnev;

	public function __construct($fajlnev = '') {
		if (!$fajlnev) {
			die('Nincs adatfájl!');
		}
		$this->fajlnev = $fajlnev;
		$this->filmek = FileIO::fajlbol_betolt($this->fajlnev);
	}

	public function __destruct() {
		FileIO::fajlba_ment($this->fajlnev, $this->filmek);
	}

	public function osszes_film() {
		return $this->filmek;
	}

	public function film_beszur($cim, $rendezo, $ev) {
		$this->filmek[] = array(
			'cim'		=>	$cim,
			'rendezo'	=>	$rendezo,
			'ev'		=>	$ev,
		);
		return true;
	}

}