<?php
define('TOKEN', 'Védelem');

include('kozos/fileio.php');
include('adat/filmadat.php');

//-----------------------------------------------------

$fajlnev = dirname(__FILE__) . '/filmek.json';
$hibak = array();
$cim = '';
$rendezo = '';
$ev = '';

if ($_POST) {
	$cim = $_POST['cim'];
	$rendezo = $_POST['rendezo'];
	$ev = $_POST['ev'];

	if ($cim == '') {
		$hibak[] = 'Cím kötelező!';
	}
	if ($rendezo == '') {
		$hibak[] = 'Rendező kötelező!';
	}
	if (!is_numeric($ev) || strlen($ev) != 4) {
		$hibak[] = 'Rossz évszám!';
	}

	if (!$hibak) {
		$filmadat = new FilmAdat($fajlnev);
		if ($filmadat->film_beszur($cim, $rendezo, $ev)) {
			header('Location: lista_fajl.php');
		};
	}
}

include('kimenet/ujfilm_sablon.php');

